/proc/self/maps paths missing on live session (was vlc won't start; eoan 19.10 & bionic 18.04 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate dailies)

Bug #1842382 reported by Chris Guiver on 2019-09-03
102
This bug affects 54 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Seth Forshee
Disco
High
Seth Forshee
Eoan
High
Seth Forshee

Bug Description

SRU Justification

Impact: A patch to enable mounting overlayfs over shiftfs introduced a regression in /proc/pid/maps when a proc mount over an overlayfs mount is accessed from within a chroot. All paths within the file are / instead of paths to the files backing memory-mapped regions. This is causing issues in several different configurations.

Fix: Revert the offending patch.

Test Case: A simple reproducer can be found attached in lp1842382.sh.

Regression Potential: This reverts to the previous behavior. Mounting overlayfs over shiftfs will not work until a fixed patch is applied.

---

Using Lubuntu 19.10 daily 'live' : (later confirmed with Ubuntu/kubuntu/xubuntu too if `vlc` is added if not already present)
From menu option, from pcmanfm-qt (trying to open an appropriate file), or from terminal I've been unable to start vlc.

lubuntu@lubuntu:~$ vlc
VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b5a7)
lubuntu@lubuntu:~$

No crash reports are visible (/var/crash/ is empty) and I see no reason, but I cannot get vlc to play files, or open. I'll continue to explore as I'm able.

QA-test on lenovo thinkpad x201 (i5-m520, 4gb, i915)

ProblemType: Bug
DistroRelease: Ubuntu 19.10
Package: vlc 3.0.8-2
ProcVersionSignature: Ubuntu 5.2.0-15.16-generic 5.2.9
Uname: Linux 5.2.0-15-generic x86_64
ApportVersion: 2.20.11-0ubuntu7
Architecture: amd64
CasperVersion: 1.415
CurrentDesktop: LXQt
Date: Tue Sep 3 06:03:17 2019
LiveMediaBuild: Lubuntu 19.10 "Eoan Ermine" - Alpha amd64 (20190902)
SourcePackage: vlc
UpgradeStatus: No upgrade log present (probably fresh install)

Chris Guiver (guiverc) wrote :
description: updated
tags: added: iso-testing
Chris Guiver (guiverc) wrote :

boot Lubuntu 19.10 iso on
dell [optiplex] 755 (c2d-e8300, 8gb, amd/ati radeon rv610/radeon hd2400 pro/xt)
mounted hdd & navigated to mp4 & mp3 files, tried to use `vlc` to play alas no.
tried starting vlc from terminal - failure just as x201
tried starting vlc from menu - failure
Scanned `dmesg|squash` & only expected single line (I do check disc for defects before testing anyway)
/var/crash/ is also empty as with x201 test

Sebastian Ramacher (s-ramacher) wrote :

Please run vlc in verbose mode (vlc -vvv) and let us know the debug output.

Changed in vlc (Ubuntu):
status: New → Incomplete
Chris Guiver (guiverc) wrote :

debug output is no different to above (lubuntu 19.10 daily; same 2019.09.02 ISO)
box tried - hp 8200 elite sff (i5-2400, 8gb, nvidia quadro 600)

lubuntu@lubuntu:~$ vlc -vvv
VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b5a7)
lubuntu@lubuntu:~$

No new lines appeared in `dmesg`, and no new lines appeared in `journalctl`

Changed in vlc (Ubuntu):
status: Incomplete → New
Chris Guiver (guiverc) wrote :

I also `sudo apt install --reinstall vlc` and got same results (which was expected)

Sebastian Ramacher (s-ramacher) wrote :

Usually the only time when vlc only outputs the version information and exits is, if you have configured vlc to only allow one instance and an instance is already running. But with -vvv it should still output more.

Please run vlc with strace or gdb and check why and where it exists.

Changed in vlc (Ubuntu):
status: New → Incomplete
Chris Guiver (guiverc) wrote :

lubuntu@lubuntu:~$ strace vlc --vvv
(see attached file)
this was on dell [optiplex] 780 (c2q-q9400, 8gb ...) with same ISO/thumb-drive

Changed in vlc (Ubuntu):
status: Incomplete → New
Sebastian Ramacher (s-ramacher) wrote :

That's a - too many. It's vlc -vvv.

Chris Guiver (guiverc) wrote :

Sorry. I didn't notice
(on same d780)

> openat(AT_FDCWD, "/lib/x86_64-linux-gnu/libvlccore.so.9", O_RDONLY|O_CLOEXEC) = 3

This is not the one from the package. You have another vlc installation that messes everything up.

Changed in vlc (Ubuntu):
status: New → Invalid
Chris Guiver (guiverc) wrote :

lubuntu@lubuntu:~$ apt-cache policy libvlccore-dev
libvlccore-dev:
  Installed: (none)
  Candidate: 3.0.8-2
  Version table:
     3.0.8-2 500
        500 http://archive.ubuntu.com/ubuntu eoan/universe amd64 Packages

lubuntu@lubuntu:~$ cat /var/log/apt/history.log

Start-Date: 2019-09-03 08:34:08
Commandline: apt install --reinstall vlc
Requested-By: lubuntu (999)
Reinstall: vlc:amd64 (3.0.8-2)
End-Date: 2019-09-03 08:34:10
lubuntu@lubuntu:~$

(still on d780 & 2019.09.02 daily ISO)

Chris Guiver (guiverc) wrote :

lubuntu@lubuntu:~$ dpkg -l |grep libvlc
ii libvlc-bin:amd64 3.0.8-2 amd64 tools for VLC's base library
ii libvlc5:amd64 3.0.8-2 amd64 multimedia player and streamer library
ii libvlccore-dev:amd64 3.0.8-2 amd64 development files for libvlccore
ii libvlccore9:amd64 3.0.8-2 amd64 base library for VLC and its modules

lubuntu@lubuntu:~$ dpkg-query -L libvlccore9
/.
/usr
/usr/lib
/usr/lib/x86_64-linux-gnu
/usr/lib/x86_64-linux-gnu/libvlccore.so.9.0.0
/usr/share
/usr/share/bug
/usr/share/bug/libvlccore9
/usr/share/bug/libvlccore9/control
/usr/share/bug/libvlccore9/presubj
/usr/share/doc
/usr/share/doc/libvlccore9
/usr/share/doc/libvlccore9/changelog.Debian.gz
/usr/share/doc/libvlccore9/copyright
/usr/lib/x86_64-linux-gnu/libvlccore.so.9

lubuntu@lubuntu:~$ apt-cache policy libvlccore9
libvlccore9:
  Installed: 3.0.8-2
  Candidate: 3.0.8-2
  Version table:
 *** 3.0.8-2 500
        500 http://archive.ubuntu.com/ubuntu eoan/universe amd64 Packages
        100 /var/lib/dpkg/status

Chris Guiver (guiverc) wrote :

lubuntu@lubuntu:~$ file /usr/lib/x86_64-linux-gnu/libvlccore.so.9
/usr/lib/x86_64-linux-gnu/libvlccore.so.9: symbolic link to libvlccore.so.9.0.0

> openat(AT_FDCWD, "/lib/x86_64-linux-gnu/libvlccore.so.9", O_RDONLY|O_CLOEXEC) = 3

> This is not the one from the package. You have another vlc installation that messes everything up.

Rik Mills (https://launchpad.net/~rikmills) highlighted it is a symlink to the package

Changed in vlc (Ubuntu):
status: Invalid → New
Rik Mills (rikmills) wrote :

VLC does not start on Kubuntu daily iso

Changed in vlc (Ubuntu):
status: New → Confirmed

Note the missing /usr in the openat call. The package does not install anything under /lib/. /lib/x86_64-linux-gnu/libvlccore.so.9 is not coming from libvlccore9.

Chris Guiver (guiverc) wrote :

VLC does not start on Xubuntu 19.10 daily 2019-09-03

it's not included by default; it was `sudo apt install vlc` but like Lubuntu, won't start from terminal, nor from `thunar` or meny

Then the daily ISOs are broken. Whatever they do, the mess up the paths.

vlc starts fine when upgraded from bionic.

Changed in vlc (Ubuntu):
status: Confirmed → Invalid
Rik Mills (rikmills) on 2019-09-03
summary: - vlc won't start; eoan 19.10 lubuntu daily
+ vlc won't start; eoan 19.10 lubuntu/kubuntu/xubuntu daily

Thanks Sebastian; yeah I use `vlc` without issue on my primary 19.10 system too.

Rik Mills (rikmills) wrote :

vlc starts ok on an installed Eoan system, where /lib/x86_64-linux-gnu/libvlccore.so.9 also exists, so it is not the presence of this that is on its own causing the isse on the live cd.

Rik Mills (rikmills) wrote :

Ok, I have been reminded on IRC (Laney) that the /lib/x86_64-linux-gnu/ libs show as we use usrmerge, so again should not be relevant to the issue at hand.

Rik Mills (rikmills) wrote :

[13:21] <Laney> openat(AT_FDCWD, "/vlc/plugins/plugins.dat", O_RDONLY|O_CLOEXEC) = -1 ENOENT (No such file or directory)
[13:21] <Laney> that's missing the libdir prefix
[13:23] <RikMills> o_o
[13:24] <Laney> bet if you do sudo ln -s /usr/lib/*/vlc/ / it starts working
[13:25] * RikMills checks
[13:27] <RikMills> Laney: yep, it does
[13:27] <Laney> so I guess look at what vlc's doing to find that plugins.dat thing

Chris Guiver (guiverc) wrote :

Installed Lubuntu 19.10 on virtualbox VM (same daily as prior lubuntu tests)
`vlc` opened from terminal & menu normally (no files to try from file.manager)

host 19.10 on dell [optiplex] 960 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350)

I suspect that usrmerge actually is the issue. config_GetLibDir tries to auto detect the location of the plugins by checking /proc/self/maps and finding the object from which config_GetLibDir is mapped. So, since that's coming from libvlccore, the prefix is now wrong (/lib vs /usr/lib). (I don't know why it doesn't get it right detects it as /vlc/plugins instead of /lib/x86-64-linux-gnu/vlc/plugins, but who knows what else might be wrong.)

Okay, something else messes with the detection in config_GetLibDir. On a system after manually installing the usrmerge package, vlc still works. Did the format of /proc/self/maps change in some way?

Rik Mills (rikmills) wrote :

[13:13] <Laney> RikMills: it is broken if I apt install it on an ubuntu iso too

summary: - vlc won't start; eoan 19.10 lubuntu/kubuntu/xubuntu daily
+ vlc won't start; eoan 19.10 ubuntu/lubuntu/kubuntu/xubuntu daily

> Did the format of /proc/self/maps change in some way?

In a Lubunt live iso session:

cat /proc/self/maps

see attatched

Well, that's the bug. What breaks the output of /prof/self/maps?

Chris Guiver (guiverc) on 2019-09-04
description: updated

Impacts Ubuntu-MATE as well, however it does not include `vlc` by default, so it was `sudo apt install vlc` thus is not listed as bug on qa-testing.

Reaction was the same, no opening from `caja` using appropriate files found on local hdd, nor opening from menu, nor from terminal. ISO used was 2019-09-03

testing done on :-
dell [optiplex] 780 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350)

also for record comment #16 testing (xubuntu) was done on :-
dell [optiplex] 755 (c2d-e6850, 5gb, amd/ati radeon rv516/x1300/x1550)

summary: - vlc won't start; eoan 19.10 ubuntu/lubuntu/kubuntu/xubuntu daily
+ vlc won't start; eoan 19.10 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate
+ daily

It will be broken on all live ISOs. The question is, what breaks the output of /proc/self/maps?

Changed in vlc (Ubuntu):
status: Invalid → Incomplete
Walter Lapchynski (wxl) wrote :

It's unreasonable to call this incomplete when we have several folks all describing the same experience, not to mention a general idea of where the problem lies.

Changed in vlc (Ubuntu):
status: Incomplete → Confirmed

Still nobody came up with an explanation what the live ISOs change compared to a normal installation that /proc/self/maps is broken. If you know where this happens, please reassign it accordingly. There is nothing to be fixed on the vlc side.

Changed in vlc (Ubuntu):
status: Confirmed → Incomplete
Norbert (nrbrtx) wrote :

VLC is broken on normal installation too.

Changed in vlc (Ubuntu):
status: Incomplete → Confirmed

So let's reassign it to linux. After all, /proc/self/maps is coming from there.

affects: vlc (Ubuntu) → linux (Ubuntu)

On 09/09/2019 19:51, Norbert wrote:
> VLC is broken on normal installation too.

On an already installed and fresh install of Kubuntu 19.10, vlc launches
ok. Launch on the live session is still currently broken.

Has file-system corruption, VLC is OK on 19.10 system with all upgrades.

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Chris Guiver (guiverc) wrote :

Booted today's Lubuntu 19.10 daily (2019-09-10) on hardware
dell [optiplex] 780 (c2q-q9400, 8gb, amd/ati cedar radeon hd 5000/6000/7350/8350)

Prior to install whilst still in 'live' mode, I was unable to play the.eagles.hotel.california using `vlc` :(

After install; I could play same the.eagles.hotel.california mp3 using `vlc` :)

(nothing really new; prior install was done on VM)

Andy Whitcroft (apw) wrote :

As the primary difference between an installed and live system is that the root is an overlay it is likely related to that.

Changed in linux (Ubuntu):
status: Incomplete → Triaged
summary: - vlc won't start; eoan 19.10 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate
- daily
+ /proc/self/maps paths missing on live session (was vlc won't start; eoan
+ 19.10 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate daily)
Rik Mills (rikmills) wrote :

I can confirm that:

Kubuntu 18.04 daily ISO with linux-image-5.0.0-27-generic = vlc fails to start
Kubuntu 18.04.3 release ISO with linux-image-5.0.0-23-generic = vlc starts ok

/proc/self/maps in the daily looks the same as Eoan

The reason why vlc does not start is definitely the overlay filesystem.

How can I know that?

I use Ubuntu on a fully encrypted USB stick with overlay root filesystem (which makes the USB super fast, even faster than ssd).

To enable the overlay root filesystem I use the following initramfs script:
https://gist.github.com/niun/34c945d70753fc9e2cc7

(FYI: the script has a little bug, it can not handle tabulators in fstab, you have to fix that if you want use it for testing, just insert tr "\t" ' ' before grep -v ' / ')

You can disable this script with the kernel command line parameter disable-root-to=yes.

I tested, once with overlay fs and once without overlay fs. vlc starts as long as you do not use overlay fs. But it does not start with enabled overlay fs.

Therefore, the reason must be the overlay filesystem. It can be assumed that thus bug affects all systems that use overlay fs. Not only debian but all distributions. Therefore, I would give this bug a high priority.

In addition, my strace looks a bit different than the strace that has been posted here (see attachment). Last 5 lines:

mmap2(NULL, 26374, PROT_READ, MAP_SHARED, 3, 0) = 0xb7f94000
close(3) = 0
futex(0xb7f2bfe4, FUTEX_WAKE_PRIVATE, 2147483647) = 0
exit_group(1) = ?
+++ exited with 1 +++

I suspect the futex () call fails.

The bug probably has nothing to do with /proc/self/maps.

Chris Guiver (guiverc) wrote :

Lubuntu 18.04 daily (2019-09-15)

Vlc is not installed by default on 18.04 (mpv is used), however adding it via `apt install` during live session has same issue as with eoan/1910; it won't start from menu or terminal.
Thanks to Rik Mills & Matthias

lubuntu@lubuntu:~$ vlc
VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b5a7)
lubuntu@lublubuntu@lubuntu:~$ vlc
VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b5a7)
lubuntu@lubuntu:~$ head /etc/apt/sources.list
deb cdrom:[Lubuntu 18.04.3 LTS _Bionic Beaver_ - Release amd64 (20190915)]/ bionic main multiverse restricted universe
lubuntu@lubuntu:~$ vlc
VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b5a7)
lubuntu@lubuntu:~$ head /etc/apt/sources.list
deb cdrom:[Lubuntu 18.04.3 LTS _Bionic Beaver_ - Release amd64 (20190915)]/ bionic main multiverse restricted universe
lubuntu@lubuntu:~$ vlc
VLC media player 3.0.8 Vetinari (revision 3.0.8-0-gf350b6b5a7)
lubuntu@lubuntu:~$ head /etc/apt/sources.list
deb cdrom:[Lubuntu 18.04.3 LTS _Bionic Beaver_ - Release amd64 (20190915)]/ bionic main multiverse restricted universe
untu:~$ head /etc/apt/sources.list
deb cdrom:[Lubuntu 18.04.3 LTS _Bionic Beaver_ - Release amd64 (20190915)]/ bionic main multiverse restricted universe

This was done on a QA-test on 18.04 daily; however it won't be recorded as a critical bug there due to vlc not being installed on default ISO for Lubuntu. I'll endeavor to check x86 too.

summary: /proc/self/maps paths missing on live session (was vlc won't start; eoan
- 19.10 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate daily)
+ 19.10 & bionic 18.04 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate dailies)
tags: added: bionic
Chris Guiver (guiverc) wrote :

Lubuntu 18.04 daily (2019-09-15) i386 tested on
hp dx6120mt (mini-tower, pentium 4 dual core, 3gb, winfast clone of nvidia 7600gt)

as with amd64, vlc is not installed by default, so had to `sudo apt install vlc` on live system for test, once installed it failed to start from terminal or menu in same manner as amd64 18.04 or 19.10

tags: added: i386
Rik Mills (rikmills) wrote :

Making a series of custom ISO, I bisected the 1st bad Bionic kernel to be: 5.0.0-26

Simon Quigley (tsimonq2) on 2019-09-18
tags: added: rls-ee-incoming
Seth Forshee (sforshee) wrote :

I've identified the commit responsible for this, investigating a fix.

Changed in linux (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: Triaged → In Progress
Seth Forshee (sforshee) wrote :

Attaching a simple reproducer for this bug. We'll revert the commit introducing this regression for now until a proper fix is available.

Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: New → In Progress
Seth Forshee (sforshee) on 2019-09-24
description: updated
Chris Guiver (guiverc) wrote :

Lubuntu 19.10 QA-test (live) on lenovo thinkpad sl510 (c2d-t6570, 2gb ram, i915)

suspended system, waited, it resumed (image was visible briefly before xscreensaver covered screens; screensaver woke on touch of key - i'll record as https://bugs.launchpad.net/ubuntu/+source/gnome-screensaver/+bug/1280300

Chris Guiver (guiverc) wrote :

please ignore my #47 - launchpad had a :( (crash) & my 'back' caused it to return to a prior page & I didn't notice in time... Sorry

Changed in linux (Ubuntu Disco):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Marcelo Cerri (mhcerri) on 2019-09-30
Changed in linux (Ubuntu Disco):
status: Fix Released → Fix Committed
AKR (karen-arzumanyan) on 2019-10-01
Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Rik Mills (rikmills) wrote :

Pleas don't mark this as fix released until a kernel package with the fix is in the updates pocket. In fact, when that happens the status will be updated by launchpad automatically.

Changed in linux (Ubuntu Disco):
status: Fix Released → Fix Committed

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-disco' to 'verification-done-disco'. If the problem still exists, change the tag 'verification-needed-disco' to 'verification-failed-disco'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-disco
Chris Guiver (guiverc) wrote :

I used 'live' systems to detect the issue, and am not sure how the lp script is to be used to test, so I've done the following

On hp dx6120mt (mini-tower, pentium 4 dual core, 3gb, winfast clone of nvidia 7600gt) using a Lubuntu 19.04 x86/i686 system

- fully upgraded 19.04 system, no updates appear
+ run lp 1842382 shell script (output copied to text files)
- added -proposed; `sudo apt update` now finds 31 packages
- apt full-upgrade; 5.0.0.31 kernel added; reboot
- booted to 5.0.0.31 kernel
+ re-run lp 1842382 shell script (output copied to text files)

The combined notes are attached (I won't upload the .pre & .post text files as content is combined in uploaded file) for someone to evaluate.

If you need it performed on amd64, please let me know.
(I had a i686 test-box with 19.04 installed in the room)

Per attachment on previous comment, the issue seems to be fixed. I'll flag it as verification-done.

Thanks!

tags: added: verification-done-disco
removed: verification-needed-disco

I can confirm that vlc starts on a system where the root filesystem uses obverlayfs + Kernel 5.0.0-31-generic (testet with Ubuntu 18.04, apt-get install linux-generic-hwe-18.04).

@Rik
I accidentally clicked on the fix committed link, I did not know that anyone can change the status without further confirmation.

Launchpad Janitor (janitor) wrote :
Download full text (126.4 KiB)

This bug was fixed in the package linux - 5.0.0-31.33

---------------
linux (5.0.0-31.33) disco; urgency=medium

  * disco/linux: 5.0.0-31.33 -proposed tracker (LP: #1846026)

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * /proc/self/maps paths missing on live session (was vlc won't start; eoan
    19.10 & bionic 18.04 ubuntu/lubuntu/kubuntu/xubuntu/ubuntu-mate dailies)
    (LP: #1842382)
    - SAUCE: Revert "UBUNTU: SAUCE: shiftfs: enable overlayfs on shiftfs"

linux (5.0.0-30.32) disco; urgency=medium

  * disco/linux: 5.0.0-30.32 -proposed tracker (LP: #1844362)

  * Disco update: upstream stable patchset 2019-08-20 (LP: #1840846)
    - Revert "e1000e: fix cyclic resets at link up with active tx"
    - e1000e: start network tx queue only when link is up
    - Input: synaptics - enable SMBUS on T480 thinkpad trackpad
    - nilfs2: do not use unexported cpu_to_le32()/le32_to_cpu() in uapi header
    - drivers: base: cacheinfo: Ensure cpu hotplug work is done before Intel RDT
    - firmware: improve LSM/IMA security behaviour
    - irqchip/gic-v3-its: Fix command queue pointer comparison bug
    - clk: ti: clkctrl: Fix returning uninitialized data
    - efi/bgrt: Drop BGRT status field reserved bits check
    - perf/core: Fix perf_sample_regs_user() mm check
    - ARM: dts: gemini Fix up DNS-313 compatible string
    - ARM: omap2: remove incorrect __init annotation
    - afs: Fix uninitialised spinlock afs_volume::cb_break_lock
    - x86/apic: Fix integer overflow on 10 bit left shift of cpu_khz
    - be2net: fix link failure after ethtool offline test
    - ppp: mppe: Add softdep to arc4
    - sis900: fix TX completion
    - ARM: dts: imx6ul: fix PWM[1-4] interrupts
    - pinctrl: mcp23s08: Fix add_data and irqchip_add_nested call order
    - dm table: don't copy from a NULL pointer in realloc_argv()
    - dm verity: use message limit for data block corruption message
    - x86/boot/64: Fix crash if kernel image crosses page table boundary
    - x86/boot/64: Add missing fixup_pointer() for next_early_pgt access
    - HID: chicony: add another quirk for PixArt mouse
    - pinctrl: mediatek: Ignore interrupts that are wake only during resume
    - cpu/hotplug: Fix out-of-bounds read when setting fail state
    - pinctrl: mediatek: Update cur_mask in mask/mask ops
    - linux/kernel.h: fix overflow for DIV_ROUND_UP_ULL
    - genirq: Delay deactivation in free_irq()
    - genirq: Fix misleading synchronize_irq() documentation
    - genirq: Add optional hardware synchronization for shutdown
    - x86/ioapic: Implement irq_get_irqchip_state() callback
    - x86/irq: Handle spurious interrupt after shutdown gracefully
    - x86/irq: Seperate unused system vectors from spurious entry again
    - ARC: hide unused function unw_hdr_alloc
    - s390: fix stfle zero padding
    - s390/qdio: (re-)initialize tiqdio list entries
    - s390/qdio: don't touch the dsci in tiqdio_add_input_queues()
    - crypto: talitos - move struct talitos_edesc into talitos.h
    - crypto: talitos - fix hash on SEC1.
    - crypto/NX: Set receive window credits to max number of CRBs in RxFIFO
    - drm/udl: introduce a macro to convert dev t...

Changed in linux (Ubuntu Disco):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (7.6 KiB)

This bug was fixed in the package linux - 5.3.0-17.18

---------------
linux (5.3.0-17.18) eoan; urgency=medium

  * eoan/linux: 5.3.0-17.18 -proposed tracker (LP: #1846641)

  * CVE-2019-17056
    - nfc: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17055
    - mISDN: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17054
    - appletalk: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17053
    - ieee802154: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-17052
    - ax25: enforce CAP_NET_RAW for raw sockets

  * CVE-2019-15098
    - ath6kl: fix a NULL-ptr-deref bug in ath6kl_usb_alloc_urb_from_pipe()

  * xHCI on AMD Stoney Ridge cannot detect USB 2.0 or 1.1 devices.
    (LP: #1846470)
    - x86/PCI: Avoid AMD FCH XHCI USB PME# from D0 defect

  * Re-enable linux-libc-dev build on i386 (LP: #1846508)
    - [Packaging] Build only linux-libc-dev for i386
    - [Debian] final-checks -- ignore archtictures with no binaries

  * arm64: loop on boot after installing linux-generic-hwe-18.04-edge/bionic-
    proposed (LP: #1845820)
    - [Config] Disable CONFIG_ARM_SMMU_DISABLE_BYPASS_BY_DEFAULT

  * Revert ESE DASD discard support (LP: #1846219)
    - SAUCE: Revert "s390/dasd: Add discard support for ESE volumes"

  * Miscellaneous Ubuntu changes
    - update dkms package versions

linux (5.3.0-16.17) eoan; urgency=medium

  * eoan/linux: 5.3.0-16.17 -proposed tracker (LP: #1846204)

  * zfs fails to build on s390x with debug symbols enabled (LP: #1846143)
    - SAUCE: s390: Mark atomic const ops always inline

linux (5.3.0-15.16) eoan; urgency=medium

  * eoan/linux: 5.3.0-15.16 -proposed tracker (LP: #1845987)

  * Drop i386 build for 19.10 (LP: #1845714)
    - [Packaging] Remove x32 arch references from control files
    - [Debian] final-checks -- Get arch list from debian/control

  * ZFS kernel modules lack debug symbols (LP: #1840704)
    - [Debian] Fix conditional for setting zfs debug package path

  * Use pyhon3-sphinx instead of python-sphinx for building html docs
    (LP: #1845808)
    - [Packaging] Update sphinx build dependencies to python3 packages

  * Kernel panic with 19.10 beta image (LP: #1845454)
    - efi/tpm: Don't access event->count when it isn't mapped.
    - efi/tpm: don't traverse an event log with no events
    - efi/tpm: only set efi_tpm_final_log_size after successful event log parsing

linux (5.3.0-14.15) eoan; urgency=medium

  * eoan/linux: 5.3.0-14.15 -proposed tracker (LP: #1845728)

  * Drop i386 build for 19.10 (LP: #1845714)
    - [Debian] Remove support for producing i386 kernels
    - [Debian] Don't use CROSS_COMPILE for i386 configs

  * udevadm trigger will fail when trying to add /sys/devices/vio/
    (LP: #1845572)
    - SAUCE: powerpc/vio: drop bus_type from parent device

  * Trying to online dasd drive results in invalid input/output from the kernel
    on z/VM (LP: #1845323)
    - SAUCE: s390/dasd: Fix error handling during online processing

  * intel-lpss driver conflicts with write-combining MTRR region (LP: #1845584)
    - SAUCE: mfd: intel-lpss: add quirk for Dell XPS 13 7390 2-in-1

  * Support Hi1620 zip hw accelerator (LP: #1845355)
    - [Config] Enable HiSilicon QM/ZIP as module...

Read more...

Changed in linux (Ubuntu Eoan):
status: Fix Committed → Fix Released
Chris Guiver (guiverc) wrote :

Lubuntu 19.10 QA-test (LIVE) using 2019-10-10 daily
No issues opening vlc from menu or using files (pcmanfmq-qt)

Chris Guiver (guiverc) wrote :

bionic (daily) test using 20191015 (latest 'daily')

http://iso.qa.ubuntu.com/qatracker/milestones/384/builds/201164/testcases/1303/results/

vlc is not found on ISO, so it was installed (`sudo apt install vlc`)

vlc opened from terminal, from menu, and from pcmanfm (ie. navigating to files and clicking open).

No issues found, and issue was found in #41 is gone. I don't intend downloading i386 iso to confirm #42 is also fixed - I'll assume it is :)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers